%global pypi_name colorama

Summary:        Cross-platform colored terminal text
Name:           python-%{pypi_name}
Version:        0.4.6
Release:        2%{?dist}

License:        BSD
URL:            https://github.com/tartley/colorama
Source0:        %{url}/archive/%{version}/colorama-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%description
ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on Windows,
too, by wrapping stdout, stripping ANSI sequences it finds (which would appear as
gobbledygook in the output), and converting them into the appropriate win32 calls
to modify the state of the terminal. On other platforms, Colorama does nothing.

%package -n python3-%{pypi_name}
Summary:        Cross-platform colored terminal text

%description -n python3-%{pypi_name}
ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on Windows,
too, by wrapping stdout, stripping ANSI sequences it finds (which would appear as
gobbledygook in the output), and converting them into the appropriate win32 calls
to modify the state of the terminal. On other platforms, Colorama does nothing.



%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r



%build
%pyproject_wheel



%install
%pyproject_install
%pyproject_save_files colorama



%check
%pytest



%files -n python3-%{pypi_name} -f %{pyproject_files}
%license %{python3_sitelib}/%{pypi_name}-%{version}.dist-info/licenses/LICENSE.txt
%doc CHANGELOG.rst README.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 0.4.6-1
- initial build
